import request from '@/utils/request'

// 查询自动打标签主列表
export function listTags(query) {
  return request({
    url: '/qw/autoTags/list',
    method: 'get',
    params: query
  })
}

// 查询自动打标签主详细
export function getTags(id) {
  return request({
    url: '/qw/autoTags/' + id,
    method: 'get'
  })
}

// 新增自动打标签主
export function addTags(data) {
  return request({
    url: '/qw/autoTags',
    method: 'post',
    data: data
  })
}

// 修改自动打标签主
export function updateTags(data) {
  return request({
    url: '/qw/autoTags',
    method: 'put',
    data: data
  })
}

// 删除自动打标签主
export function delTags(id) {
  return request({
    url: '/qw/autoTags/' + id,
    method: 'delete'
  })
}

// 导出自动打标签主
export function exportTags(query) {
  return request({
    url: '/qw/autoTags/export',
    method: 'get',
    params: query
  })
}
